#ifndef _HASH_H_
#define _HASH_H_

#include <stdint.h>

typedef struct {
  uint32_t val;
  uint32_t key;
} record;

typedef struct {
  record *data;
  int size;
  int maxsize;
  char *keys;
  int keysize;
  int keymaxsize;
  int collision;
  /* data for hash function */
  uint32_t h[256][256];
} hash;

void init_hash(hash *, int);
void close_hash(hash *);
record hash_get(hash *, const char *);

#endif /* _HASH_H_ */
