#ifndef _SEARCH_H_
#define _SEARCH_H_

#include <stdint.h>

typedef struct {
  uint32_t offset;
  int size;
} docs_for_word;

typedef struct {
  char **names;
  docs_for_word *docs;
  int size;
} word_list;

void load_words(char *, char *, word_list *);
int search_word(word_list *, char *);
void feed_map(char *, word_list *, int, char *);
char *complex_search(char *, char *, char *, char *, char *);

#endif /* _SEARCH_H_ */
