#include "utils.h"

#include <string.h>
#include <stdio.h>
#include <stdlib.h>

char *bigcap(char *w)
{
  char *r;
  char *s;
  r = strdup(w); if (r == NULL) { perror("strdup"); exit(1); }
  s = r;
  while (*s) { if (*s >= 'a' && *s <= 'z') *s += 'A' - 'a'; s++; }
  return r;
}

void spacify(unsigned char *r)
{
  int i;
  for (i = 0; i < 256; i++) {
    if ((i >= 'a' && i <= 'z') ||
        (i >= 'A' && i <= 'Z') ||
        (i >= '0' && i <= '9'))
      r[i] = 0;
    else
      r[i] = 1;
  }
}

void upperify(unsigned char *r)
{
  int i;
  for (i = 0; i < 256; i++) {
    if (i >= 'a' && i <= 'z')
      r[i] = i - 'a' + 'A';
    else
      r[i] = i;
  }
}
